Автор Тема: Не запускается gnome после обновлений 13 ноября  (Прочитано 1105 раз)

Оффлайн ApB

  • Давно тут
  • **
  • Сообщений: 378
Не знаю, в эту-ли нить подобный вопрос, но:
ПРошу помочь с откатом пакета ...
В вики значится, что надо указать дату пакета обновления ... соответственно, влез в архив сизифа и там, в соответствии с
http://ftp.altlinux.org/pub/distributions/archive/sisyphus/index/src/g/gnome-shell/

сказано, что пакет обновлялся 11.10.2016, и я вписываю адрес репов как:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 x86_64-i586 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 x86_64 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 noarch classic

но выдаёт сообщение об ошибке репозитория ... где/в чём я ошибся?

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 6 570
    • Email
http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11
http://ftp.altlinux.org/pub/distributions/archive/sisyphus/date/2016/10/11/

Можно попакетно откатываться:
rpm -Uvh \-\-oldpackage http://ftp.altlinux.org/pub/distributions/archive/sisyphus/date/2016/10/11/files/x86_64/RPMS/gnome-shell-3.22.0-alt1.x86_64.rpm http://ftp.altlinux.org/pub/distributions/archive/sisyphus/date/2016/10/11/files/noarch/RPMS/gnome-shell-data-3.22.0-alt1.noarch.rpmПри ошибках с зависимостями, добавлять в список этот пакет для отката и выполнять команду повторно.
« Последнее редактирование: 21.11.2016 08:04:24 от berkut_174 »
Сноси Винду, переходи на Линукс ! :)

Оффлайн ApB

  • Давно тут
  • **
  • Сообщений: 378
Откатил пакеты gnome-shell - гном так и не запускается.
Что можно посмотреть на предмет выявления проблемы?

Оффлайн ApB

  • Давно тут
  • **
  • Сообщений: 378
В течении дня времени не было ... аща глянул и увидел следующуюзапись ... при попытке выгрузить журнал:
systemd-journald[320]: Journal stoppedЭта запись появилась сегодня с утра после установки обновлений :-/

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 7 994
  • UNIX System V init
Откатил пакеты gnome-shell - гном так и не запускается.
Что можно посмотреть на предмет выявления проблемы?

Когда у меня взорвалось в июле-августе на предмет SysV и не понимал где оно в системе так сильно рвануло, то откатывал всю систему целиком. И весьма успешно.
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн ApB

  • Давно тут
  • **
  • Сообщений: 378
Когда у меня взорвалось в июле-августе на предмет SysV и не понимал где оно в системе так сильно рвануло, то откатывал всю систему целиком. И весьма успешно.
Вопрос не в невозможности проведения отката обновлений, а в том, как разобраться с проблемой выявления пакета, который является "проблемой" для моей системе и ... понять что блокировать для обновлений, при чём в данном случае журнал системы не работает.
Вопрос именно в этом

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Не знаю, в эту-ли нить подобный вопрос, но:
ПРошу помочь с откатом пакета ...
В вики значится, что надо указать дату пакета обновления ... соответственно, влез в архив сизифа и там, в соответствии с
http://ftp.altlinux.org/pub/distributions/archive/sisyphus/index/src/g/gnome-shell/

сказано, что пакет обновлялся 11.10.2016, и я вписываю адрес репов как:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 x86_64-i586 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 x86_64 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11 noarch classic

но выдаёт сообщение об ошибке репозитория ... где/в чём я ошибся?

Ну, вы сами попробуйте зайти на

http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11

В отличии от:

http://ftp.altlinux.org/pub/distributions/archive/sisyphus/date/2016/10/11/

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 559
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
В течении дня времени не было ... аща глянул и увидел следующуюзапись ... при попытке выгрузить журнал:
systemd-journald[320]: Journal stoppedЭта запись появилась сегодня с утра после установки обновлений :-/
https://forum.altlinux.org/index.php?topic=37199.msg299774#msg299774
Цитировать
#32778  libselinux              normal          -
journald failed to start after recent selinux update

https://bugzilla.altlinux.org/32778

Оффлайн ApB

  • Давно тут
  • **
  • Сообщений: 378
Ну, вы сами попробуйте зайти на

http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/date/2016/10/11

В отличии от:

http://ftp.altlinux.org/pub/distributions/archive/sisyphus/date/2016/10/11/
Спасибо, эту ошибку свою я уже понял ... и откатил систему
перепробовал на запуск все ядра, что были в системе - после отката до gui ни одно не запустилось, в том числе в режиме acpi=off.
Откатывал систему до 11 ноября.
На текущий момент вернул до текущего состояния...

и спасибо за
https://bugzilla.altlinux.org/32778
« Последнее редактирование: 22.11.2016 11:30:02 от ApB »